(function($){
    $(window).on('elementor:init', function() {
        elementor.hooks.addAction('panel/open_editor/widget', function(panel, model, view){
            const controls = model.attributes.settings.controls;
            const sectionControls = Object.keys(controls)
                .filter(controlName => controls[controlName].type === 'section')
                .map(controlName => ({ name: controlName, ...controls[controlName] }));
        });
    });
})(jQuery);
